_

[AC2020] polecenie dla wyświetlaj style wydruku

Forum poświęcone flagowemu produktowi oraz aplikacjom pochodnym Autodesku. To jedyne forum mające w tytule nazwę programu, a to ze względu na jego olbrzymią popularność w Polsce. Można tutaj umieszczać również posty z ogólnie pojętej tematyki "Kreślarskie 2D".

[AC2020] polecenie dla wyświetlaj style wydruku

Postprzez notdot » lut 18, 2021 12:00

Cześć
czy jest jakieś polecenie (może być lisp, który włączy hurtowo dla wszystkich arkuszy, a może być polecenie dla aktywnego arkusza) które włączy mi opcję "wyświetlaj style wydruku"
bez polecenia muszę przeklikać każdy układ/arkusz, prawyklik -> Menadżer ustawienia strony -> wejść w opcje i ręcznie to zaznaczyć, co przy wielu już ustawionych arkuszach jest uciążliwe i długo trwa

wyświetlaj style wydruku.png
Avatar użytkownika
notdot
 
Posty: 349
Dołączył(a): sty 08, 2013 13:50
Lokalizacja: Kraków

Re: [AC2020] polecenie dla wyświetlaj style wydruku

Postprzez GekOn » lut 18, 2021 17:28

można na przykład tak (włączy wyświetlanie dla wszystkich arkuszy):
Kod: Zaznacz cały
(setq #doc (vla-get-ActiveDocument (vlax-get-acad-object)))

(vlax-for laytItm (vla-get-Layouts #doc)
   (if   (/= "Model" (vla-get-name laytItm))
         (vlax-put-property laytItm 'ShowPlotStyles :vlax-true)
   );_IF

);_vlax-for
GekOn
www.gekoncad.pl | www.warancad.pl
GekOn
 
Posty: 24
Dołączył(a): sty 26, 2017 21:05

Re: [AC2020] polecenie dla wyświetlaj style wydruku

Postprzez notdot » lut 18, 2021 19:37

GekOn napisał(a):można na przykład tak (włączy wyświetlanie dla wszystkich arkuszy):

ok, dzięki
a jak to uruchomić
Avatar użytkownika
notdot
 
Posty: 349
Dołączył(a): sty 08, 2013 13:50
Lokalizacja: Kraków

Re: [AC2020] polecenie dla wyświetlaj style wydruku

Postprzez GekOn » lut 18, 2021 20:34

utwórz plik np. c:\test.lsp
i wklej do niego to:
Kod: Zaznacz cały
(DEFUN c:setPlotStyle ( / #doc laytItm)
   (setq #doc (vla-get-ActiveDocument (vlax-get-acad-object)))

   (vlax-for laytItm (vla-get-Layouts #doc)
      (if   (/= "Model" (vla-get-name laytItm))
          (vlax-put-property laytItm 'ShowPlotStyles :vlax-true)
      );_IF

   );_vlax-for
);_DEFUN


wczytaj plik do CADa używając:
Kod: Zaznacz cały
(load "c:\\test.lsp")


i uruchamiaj poleceniem setPlotStyle
GekOn
www.gekoncad.pl | www.warancad.pl
GekOn
 
Posty: 24
Dołączył(a): sty 26, 2017 21:05

Re: [AC2020] polecenie dla wyświetlaj style wydruku

Postprzez notdot » lut 19, 2021 19:02

dzięki wielkie
przy okazji znalazłem to jakby ktoś też chciał skorzystać
https://help.autodesk.com/view/ACD/2016 ... 7B9AE723B5
Avatar użytkownika
notdot
 
Posty: 349
Dołączył(a): sty 08, 2013 13:50
Lokalizacja: Kraków


Powrót do AutoCAD

Kto przegląda forum

Użytkownicy przeglądający ten dział: Brak zidentyfikowanych użytkowników